#pragma once

#include <Knopf.h>
#include <Bild.h>

#include "Menu.h"

class Player;
class ItemSlot;

class Game : public Menu
{
private:
    Framework::Knopf* logout;
    Framework::TextFeld* debug;
    Framework::Bild* invB;
    Framework::BildZ* inventory;

public:
    // Konstruktor
    Game( Bildschirm* zScreen );

    void updatePosition( Vec3<float> position, bool target, Vec3<int> targetPos );
    void updateInventory( Framework::Array<ItemSlot*>& itemBar, int pos );
};